#!/usr/bin/env python
# -*- coding: utf-8 -*- #
from __future__ import unicode_literals
import os
import sys
sys.path.append(os.curdir)
from globalconf import *

AUTHOR = 'Benjamin Bertrand'
SITENAME = 'OpyTex'
SITETITLE = 'OpyTex'
SITESUBTITLE = "2016-2017"
SITEURL = ''

CC_LICENSE_COMMERCIAL = True
CC_LICENSE = True

PATH = './content'

TIMEZONE = 'Europe/Paris'

DEFAULT_LANG = 'fr'

# theme
THEME = "./theme/"
USE_GOOGLE_FONTS = False

IGNORE_FILES = ['venv', '.git', 'tools']
# Pages, articles and static
PAGE_PATHS = ['pages']
#ARTICLE_PATHS = ['pages/Enseignement', 'Blog']
ARTICLE_PATHS = ['.']
STATIC_PATHS = ['.']

INDEX_SAVE_AS = 'blog_index.html'

# Mirror source structure
PATH_METADATA = '(?P<path_no_ext>.*)\..*'
ARTICLE_URL = ARTICLE_SAVE_AS = PAGE_URL = PAGE_SAVE_AS = '{path_no_ext}.html'

# Feed generation is usually not desired when developing
FEED_ALL_ATOM = None
CATEGORY_FEED_ATOM = None
TRANSLATION_FEED_ATOM = None
AUTHOR_FEED_ATOM = None
AUTHOR_FEED_RSS = None

# Blogroll
LINKS = (
    #('2019/2020', "/Enseignements/2019-2020/"),
    #('2018/2019', "/Enseignements/2018-2019/"),
    #('2017/2018', "/Enseignements/2017-2018/"),
    #('2016/2017', "/Enseignements/2016-2017/"),
    #('2015/2016', "/Enseignements/2015-2016/"),
)

# Social widget
#SOCIAL = (('You can add links in your config file', '#'),
#          )

DEFAULT_PAGINATION = 20

# Date
SHOW_DATE_MODIFIED = True
ARTICLE_ORDER_BY = "modified"

DISPLAY_ARTICLE_INFO_ON_INDEX = True

# Uncomment following line if you want document-relative URLs when developing
RELATIVE_URLS = True

BOOTSTRAP_THEME = "flatly"
PLUGIN_PATHS = ['./plugins', './pelican-plugins']

PLUGINS = [#'hierarchy',
        'tag_cloud',
        "list_files",
        "render_math",
        "always_modified",
        "pdf-img",
        ]

READERS = {"html": None}

# hierarchy plugin config
# ARTICLE_URL = 'Enseignements/{slug}/'
# ARTICLE_SAVE_AS = 'Enseignements/{slug}/index.html'
# #SLUGIFY_SOURCE = 'basename'
# ARTICLE_NAVIGATION = True

TAGS_URL = "tags.html"
DISPLAY_TAGS_INLINE = True
DISPLAY_CATEGORIES_ON_SIDEBAR = True
